Get labels for the conversation
curl --request GET \
--url https://{host}/api/{session}/labels/chats/{chatId} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/labels/chats/{chatId}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/labels/chats/{chatId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chatId": "5511999999999@s.whatsapp.net",
"labels": [
{
"id": "label123",
"name": "VIP Clients",
"color": 1
},
{
"id": "label456",
"name": "Support",
"color": 2
}
]
}
Labels
Get Labels of the Chat
Get all labels applied to a specific chat
GET
/
api
/
{session}
/
labels
/
chats
/
{chatId}
Get labels for the conversation
Description
This endpoint returns all labels that are currently applied to a specific chat, allowing you to visualize how the chat is categorized.URL Parameters
string
required
WhatsApp unique session ID
string
required
ID of the chat (JID of the contact or group)
Response
array
List of labels applied to the chat
{
"chatId": "5511999999999@s.whatsapp.net",
"labels": [
{
"id": "label123",
"name": "VIP Clients",
"color": 1
},
{
"id": "label456",
"name": "Support",
"color": 2
}
]
}
Status Codes
200- Labels returned successfully400- Invalid parameters401- Unauthorized404- Chat not found
Usage Example
curl -X GET https://api.wappfy.com.br/api/my-session/labels/chats/5511999999999@s.whatsapp.net
const session = 'my-session';
const chatId = '5511999999999@s.whatsapp.net';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/labels/chats/${encodeURIComponent(chatId)}`);
const data = await response.json();
console.log(data.labels);
import requests
from urllib.parse import quote
session = 'my-session'
chat_id = '5511999999999@s.whatsapp.net'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/labels/chats/{quote(chat_id)}')
data = response.json()
print(data['labels'])
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
Conversation ID
